> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sociavault.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shop Products

> Get all products listed in a TikTok Shop. Use the cursor from each response to paginate through results.

**Credit Cost:** 1 credit per request

<Note>
  💳 **1 credit per request**
</Note>


## OpenAPI

````yaml GET /v1/scrape/tiktok-shop/products
openapi: 3.1.0
info:
  title: SociaVault API
  version: 1.0.0
  description: >-
    # SociaVault API Documentation


    The SociaVault API provides comprehensive access to social media data
    extraction across multiple platforms.


    ## Features


    - **Multi-Platform Support**: TikTok, Instagram, YouTube, Facebook, Twitter,
    Reddit, Threads, and more

    - **Credit-Based System**: Pay-as-you-go pricing with transparent credit
    costs

    - **High Performance**: Fast, reliable data extraction

    - **Comprehensive Data**: Detailed user profiles, videos, posts, comments,
    and analytics


    ## Authentication


    All API requests require authentication using an API key in the `X-API-Key`
    header:


    ```bash

    X-API-Key: sk_live_your_api_key_here

    ```


    Get your API key from the [SociaVault
    Dashboard](https://sociavault.com/dashboard).


    ## Credits


    Each endpoint consumes credits based on data complexity:

    - Simple requests (profiles): 1 credit

    - Complex requests (demographics): 20+ credits

    - Paginated requests: Credits per page


    Check your credit balance in the dashboard or via the API.


    ## Support


    - **Documentation**: https://docs.sociavault.com

    - **Email**: support@sociavault.com

    - **Discord**: https://discord.gg/sociavault
  contact:
    name: SociaVault Support
    email: support@sociavault.com
    url: https://sociavault.com/support
  license:
    name: Commercial
    url: https://sociavault.com/terms
servers:
  - url: https://api.sociavault.com
    description: Production API
security:
  - ApiKeyAuth: []
tags:
  - name: account
    description: Account management and credit balance
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/account
  - name: tiktok
    description: Scrape TikTok profiles, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok
  - name: tiktok-shop
    description: Everything about TikTok Shop
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok-shop
  - name: instagram
    description: Gets Instagram profiles, posts, and reels
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/instagram
  - name: youtube
    description: Scrape YouTube channels, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/youtube
  - name: linkedin
    description: Scrape LinkedIn
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedin
  - name: facebook
    description: Get public Facebook profiles and posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebook
  - name: facebookAdLibrary
    description: Scrapes the Facebook (Meta) Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookAdLibrary
  - name: facebookMarketplace
    description: Search Facebook Marketplace and pull full listing details
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookMarketplace
  - name: googleAdLibrary
    description: >-
      Scrape the Google Ad Transparency Library. *This only gets the public ads.
      Some ads you need to log in for and sadly we can't get those. Also, since
      there are so many variations, the return types might not all be 100% the
      same.
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/googleAdLibrary
  - name: linkedinAdLibrary
    description: Search the LinkedIn Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedinAdLibrary
  - name: twitter
    description: Get Twitter profiles, tweets, followers and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/twitter
  - name: reddit
    description: Scrape Reddit posts and comments
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/reddit
  - name: threads
    description: Get Threads posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/threads
  - name: google
    description: Scrape Google search results
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/google
paths:
  /v1/scrape/tiktok-shop/products:
    get:
      tags:
        - tiktok-shop
      summary: Shop Products
      description: >-
        Get all products listed in a TikTok Shop. Use the cursor from each
        response to paginate through results.


        **Credit Cost:** 1 credit per request
      operationId: tiktok-shop_Shop_Products
      parameters:
        - name: url
          in: query
          description: The TikTok Shop store URL.
          required: true
          schema:
            type: string
            example: >-
              https://www.tiktok.com/shop/store/goli-nutrition/7495794203056835079
        - name: cursor
          in: query
          description: >-
            Cursor parameter from the previous response to retrieve the next
            page of products. Omit for the first page.
          required: false
          schema:
            type: string
        - name: region
          in: query
          description: Region to get shop products from. Defaults to US if not provided.
          required: false
          schema:
            type: string
            example: US
            enum:
              - US
              - GB
              - DE
              - FR
              - IT
              - ID
              - MY
              - MX
              - PH
              - SG
              - ES
              - TH
              - VN
              - BR
              - JP
              - IE
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  shopInfo:
                    type: object
                    properties:
                      seller_id:
                        type: string
                        example: '7495794203056835079'
                      sold_count:
                        type: integer
                        example: 3767605
                      on_sell_product_count:
                        type: integer
                        example: 36
                      review_count:
                        type: integer
                        example: 284185
                      global_seller_id:
                        type: string
                        example: '7495794203056835079'
                      global_sold_count:
                        type: string
                        example: '3767605'
                      followers_count:
                        type: string
                        example: '237879'
                      video_count:
                        type: string
                        example: '2413'
                      enable_follow:
                        type: boolean
                        example: true
                      shop_name:
                        type: string
                        example: Goli Nutrition
                      shop_logo:
                        type: object
                        properties:
                          height:
                            type: integer
                            example: 300
                          width:
                            type: integer
                            example: 300
                          uri:
                            type: string
                            example: >-
                              tos-useast5-i-omjb5zjo8w-tx/e7478d3e93d4487a9e772fa74e10f506
                          url_list:
                            type: array
                            items:
                              type: string
                              example: >-
                                https://p16-oec-general-useast5.ttcdn-us.com/tos-useast5-i-omjb5zjo8w-tx/e7478d3e93d4487a9e772fa74e10f506~tplv-fhlh96nyum-resize-webp:300:300.webp?dr=12185&from=2422056039&idc=useast8&ps=933b5bde&shcp=a6e80448&shp=905da467&t=555f072d
                        required:
                          - height
                          - width
                          - uri
                          - url_list
                      shop_rating:
                        type: string
                        example: '4.6'
                      shop_link:
                        type: string
                        example: >-
                          https://www.tiktok.com/shop/store/goli-nutrition/7495794203056835079
                      format_sold_count:
                        type: string
                        example: 3.7M
                      region:
                        type: string
                        example: US
                      display_on_sell_product_count:
                        type: string
                        example: '36'
                      format_global_sold_count:
                        type: string
                        example: 3.7M
                      shop_slogan:
                        type: string
                        example: |-
                          Health Simple✨
                          Vegan. Gluten-Free. Non-GMO.
                      format_followers_count:
                        type: string
                        example: 237.8K+
                      format_video_count:
                        type: string
                        example: '2413'
                      store_sub_score:
                        type: array
                        items:
                          type: object
                          properties:
                            score:
                              type: number
                              example: 0.9967
                            type:
                              type: integer
                              example: 1
                            score_percentage:
                              type: string
                              example: '100'
                            high_light_tag:
                              type: integer
                              example: 1
                            platform_rate_type:
                              type: integer
                              example: 1
                          required:
                            - score
                            - type
                            - score_percentage
                            - high_light_tag
                            - platform_rate_type
                      worst_rating:
                        type: string
                        example: '0'
                      best_rating:
                        type: string
                        example: '5'
                      creator_name:
                        type: string
                        example: Goli® Nutrition
                      desc:
                        type: string
                        example: >-
                          Shop Goli Nutrition on TikTok Shop! 3.7M sold, 237.8K+
                          followers. 89+% positive feedback. 50+% Ships in 48h,
                          100% replies in 24h. Join the trend!
                    required:
                      - seller_id
                      - sold_count
                      - on_sell_product_count
                      - review_count
                      - global_seller_id
                      - global_sold_count
                      - followers_count
                      - video_count
                      - enable_follow
                      - shop_name
                      - shop_logo
                      - shop_rating
                      - shop_link
                      - format_sold_count
                      - region
                      - display_on_sell_product_count
                      - format_global_sold_count
                      - shop_slogan
                      - format_followers_count
                      - format_video_count
                      - store_sub_score
                      - worst_rating
                      - best_rating
                      - creator_name
                      - desc
                  products:
                    type: array
                    items:
                      type: object
                      properties:
                        product_id:
                          type: string
                          example: '1729527313880355335'
                        title:
                          type: string
                          example: >-
                            Goli Ashwagandha & Vitamin D Gummy - Mixed Berry,
                            KSM-66, Vegan, Plant Based, Non-GMO, Gluten-Free &
                            Gelatin Free. America's #1 Ashwagandha Brand
                        image:
                          type: object
                          properties:
                            height:
                              type: integer
                              example: 1500
                            width:
                              type: integer
                              example: 1500
                            uri:
                              type: string
                              example: >-
                                tos-useast5-i-omjb5zjo8w-tx/30fc1338a2bf474a9d252a790e4c119f
                            url_list:
                              type: array
                              items:
                                type: string
                                example: >-
                                  https://p16-oec-general-useast5.ttcdn-us.com/tos-useast5-i-omjb5zjo8w-tx/30fc1338a2bf474a9d252a790e4c119f~tplv-fhlh96nyum-crop-webp:1500:1500.webp?dr=12190&from=2378011839&idc=useast8&ps=933b5bde&shcp=905da467&shp=8dbd94bf&t=555f072d
                          required:
                            - height
                            - width
                            - uri
                            - url_list
                        product_price_info:
                          type: object
                          properties:
                            sku_id:
                              type: string
                              example: '1729527298861535751'
                            symbol_position:
                              type: integer
                              example: 1
                            show_currency_space:
                              type: boolean
                              example: false
                            currency_show_mode:
                              type: integer
                              example: 1
                            currency_name:
                              type: string
                              example: USD
                            currency_symbol:
                              type: string
                              example: $
                            sale_price_decimal:
                              type: string
                              example: '14.96'
                            origin_price_decimal:
                              type: string
                              example: '24.99'
                            sale_price_format:
                              type: string
                              example: '14.96'
                            origin_price_format:
                              type: string
                              example: '24.99'
                            discount_format:
                              type: string
                              example: 40%
                            discount_decimal:
                              type: string
                              example: '0.4'
                            reduce_price_format:
                              type: string
                              example: Saving $10.03
                            single_product_price_format:
                              type: string
                              example: '14.96'
                            single_product_price_decimal:
                              type: string
                              example: '14.96'
                            sale_price_integer_part_format:
                              type: string
                              example: '14'
                            sale_price_decimal_part_format:
                              type: string
                              example: '96'
                            decimal_point_symbol:
                              type: string
                              example: .
                            promotion_deduction_details:
                              type: object
                              properties:
                                seller_subtotal_deduction:
                                  type: string
                                  example: '10.03'
                                seller_subtotal_deduction_decimal:
                                  type: string
                                  example: '10.03'
                              required:
                                - seller_subtotal_deduction
                                - seller_subtotal_deduction_decimal
                          required:
                            - sku_id
                            - symbol_position
                            - show_currency_space
                            - currency_show_mode
                            - currency_name
                            - currency_symbol
                            - sale_price_decimal
                            - origin_price_decimal
                            - sale_price_format
                            - origin_price_format
                            - discount_format
                            - discount_decimal
                            - reduce_price_format
                            - single_product_price_format
                            - single_product_price_decimal
                            - sale_price_integer_part_format
                            - sale_price_decimal_part_format
                            - decimal_point_symbol
                            - promotion_deduction_details
                        rate_info:
                          type: object
                          properties:
                            score:
                              type: number
                              example: 4.5
                            review_count:
                              type: string
                              example: '91316'
                          required:
                            - score
                            - review_count
                        sold_info:
                          type: object
                          properties:
                            sold_count:
                              type: integer
                              example: 1235089
                          required:
                            - sold_count
                        seller_info:
                          type: object
                          properties:
                            seller_id:
                              type: string
                              example: '7495794203056835079'
                            shop_name:
                              type: string
                              example: Goli Nutrition
                            shop_logo:
                              type: object
                              properties:
                                height:
                                  type: integer
                                  example: 300
                                width:
                                  type: integer
                                  example: 300
                                uri:
                                  type: string
                                  example: >-
                                    tos-useast5-i-omjb5zjo8w-tx/e7478d3e93d4487a9e772fa74e10f506
                                url_list:
                                  type: array
                                  items:
                                    type: string
                                    example: >-
                                      https://p16-oec-general-useast5.ttcdn-us.com/tos-useast5-i-omjb5zjo8w-tx/e7478d3e93d4487a9e772fa74e10f506~tplv-fhlh96nyum-resize-png:300:300.png?dr=12184&from=2422056039&idc=useast8&ps=933b5bde&shcp=d9d491bf&shp=905da467&t=555f072d
                              required:
                                - height
                                - width
                                - uri
                                - url_list
                          required:
                            - seller_id
                            - shop_name
                            - shop_logo
                        seo_url:
                          type: object
                          properties:
                            updated_at:
                              type: string
                              example: '1754035613102'
                            canonical_url:
                              type: string
                              example: >-
                                https://www.tiktok.com/shop/pdp/ashwagandha-gummies-by-goli-ksm-66-mixed-berry-vegan-non-gmo/1729527313880355335
                            slug:
                              type: string
                              example: >-
                                ashwagandha-gummies-by-goli-ksm-66-mixed-berry-vegan-non-gmo
                            type:
                              type: integer
                              example: 2
                            version:
                              type: integer
                              example: 2
                          required:
                            - updated_at
                            - canonical_url
                            - slug
                            - type
                            - version
                      required:
                        - product_id
                        - title
                        - image
                        - product_price_info
                        - rate_info
                        - sold_info
                        - seller_info
                        - seo_url
                required:
                  - success
                  - shopInfo
                  - products
        '400':
          description: Bad Request - Invalid parameters or missing required fields
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: 'Missing required parameter: handle'
                  endpoint:
                    type: string
                  credits_required:
                    type: integer
                required:
                  - error
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid API key
                  docs:
                    type: string
                    example: https://docs.sociavault.com/authentication
                required:
                  - error
        '402':
          description: Payment Required - Insufficient credits
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Insufficient credits
                  required:
                    type: integer
                    example: 1
                    description: Credits required for this request
                  available:
                    type: integer
                    example: 0
                    description: Credits currently available
                required:
                  - error
                  - required
                  - available
        '500':
          description: Internal Server Error - Service configuration or processing error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Service configuration error
                required:
                  - error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`

        Get your API key from the [Dashboard](https://sociavault.com/dashboard).

````